Subject: Re: [PATCHv1 2/2] git-p4: work with a detached head

From: Luke Diamand <[email-masked]>
Date: Wed, 28 Oct 2015 19:03:03 +0000

On 28/10/15 17:44, Junio C Hamano wrote:
> Luke Diamand <[email-masked]> writes:
>
>> On 9 September 2015 at 22:52, Junio C Hamano <[email-masked]> wrote:
>>> Luke Diamand <[email-masked]> writes:
>>> ...
>>>      def currentGitBranch():
>>>          return read_pipe("git name-rev HEAD").split(" ")[1].strip()
>>>
>>> Yuck.  I know it is not entirely the fault of this patch, but
>>> shouldn't it be reading from
>>>
>>>      $ git symbolic-ref HEAD
>>>
>>> and catch the error "fatal: ref HEAD is not a symbolic ref" and use
>>> it as a signal to tell that the HEAD is detached?
>>
>> That sounds much nicer. I'll redo the patch accordingly.
>
> No need to rush, but should I expect a reroll of this sometime, or
> have things around this topic changed to make this topic no longer
> necessary?  I am only asking so that I can decide to either keep or
> drop ld/p4-detached-head topic that is listed in the [Stalled]
> section for quite some time [*1*].

I was waiting for the other git-p4 changes to go through before starting 
this up again.

It definitely needs fixing - it was annoying me a lot today, as I kept 
on having to invent temporary branch names to needlessly keep git-p4 happy.

After getting to "for-p4-9", I'm now onto "xyyyy". I'll see if I can 
sort something out in the next few days.

Luke

>
> Thanks.
>
>
> [Footnote]
>
> *1* Not that my dropping a topic from 'pu' means very much; a
>      dropped topic can still be submitted and requeued after all.
>